Commits

stretchedthin  committed 72dc4ae

edgar ode pygobject torcs xonotic

  • Participants
  • Parent commits bd636fc

Comments (0)

Files changed (6)

File var/vabs/edgar/src/edgar.SlackBuild

 #!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # build will be in a temp dir created in "NAME" dir, and then removed on exit.
 # Comment out second to last line to keep this dir intact.
 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.14.1, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.12.4, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
-# AUTHORS = stretchedthin(desktop & configure) 
+# AUTHORS = 
 
 NAME="edgar"            #Enter package Name!
-VERSION=${VERSION:-"1.03-1"}      #Enter package Version!
+VERSION=${VERSION:-"1.05"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"Uelsk8s"}   #Enter your Name!
-LINK=${LINK:-"http://sourceforge.net/projects/legendofedgar/files/$VERSION/$NAME-$VERSION.tar.gz"}  #Enter URL for package here!
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK=${LINK:-"http://sourceforge.net/projects/legendofedgar/files/1.05/edgar-1.05-1.tar.gz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
+MAKEDEPENDS=${MAKEDEPENDS:-"SDL"}
 #----------------------------------------------------------------------------
 
-# DO NOT EXECUTE if NORUN is set to 1
-if [ "$NORUN" != "1" ]; then
 
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-slackware-linux"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
-  CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+  CONFIGURE_TRIPLET="x86_64-slackware-linux"
   LIBDIRSUFFIX="64"
 elif [ "$ARCH" = "powerpc" ]; then
   SLKCFLAGS="-O2"
 
 
 rm -rf $PKG
+mkdir -p $PKG
 cd $TMP
-rm -rf $NAME-$VERSION
+rm -rf $NAME-0.92
 
 
 #EXTRACT SOURCES
 #-----------------------------------------------------
 echo "Extracting source..."
-tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+tar xvf $CWD/$NAME-$VERSION-1.tar.* || exit 1
 #this moves whatever was extracted to the std dirname we are expecting
-mv * $NAME-$VERSION &> /dev/null 2>&1
-mkdir -p $PKG
+mv * $NAME-$VERSION
 #-----------------------------------------------------
 
 
 cd $TMP/$NAME-$VERSION
 
-
-#PATCHES
-#-----------------------------------------------------
-# Put any Patches here *NOTE this only works if all 
-# your patches use the -p1 strip option!
+# Put any Patches here
 #-----------------------------------------------------
-for i in $CWD/patches/*;do
-  patch -p1 <$i
-  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
-  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
-done
+#patch -p1 <
 #-----------------------------------------------------
- 
- 
+
 
 #SET PERMISSIONS
 #-----------------------------------------
 #-----------------------------------------------------------------------
 
 echo "Configuring source..."
-./configure --prefix=/usr \
-  --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --infodir=/usr/info \
-  --sysconfdir=/etc \
-  --localstatedir=/var \
-  --mandir=/usr/man \
-  --with-included-gettext \
-  --disable-debug \
-  --program-prefix="" \
-  --program-suffix="" \
-  --build=$CONFIGURE_TRIPLET \
-  $CONFIG_OPTIONS || exit 1
+#./configure --prefix=/usr \
+  #--libdir=/usr/lib${LIBDIRSUFFIX} \
+  #--infodir=/usr/info \
+  #--sysconfdir=/etc \
+  #--localstatedir=/var \
+  #--mandir=/usr/man \
+  #--with-included-gettext \
+  #--disable-debug \
+  #--program-prefix="" \
+  #--program-suffix="" \
+  #--build=$CONFIGURE_TRIPLET \
+  #$CONFIG_OPTIONS || exit 1
 
 make || exit 1
 
-make install DESTDIR=$PKG || exit 1
+make install DESTDIR=$PKG || exit
 
 mkdir -p $PKG/usr/bin/
 mv $PKG/usr/games/edgar $PKG/usr/bin/
-#rm -r $PKG/usr/games/
+
 
 #######################################################################
 #Miscellenious tweaks and things outside a normal ./configure go here #
 #######################################################################
 
+
 # Menu entry - http://standards.freedesktop.org/desktop-entry-spec/latest/
 
 if test -f $CWD/$NAME.png; then
 EOF
 fi
 
+
 mkdir -p $PKG/usr/doc/$NAME-$VERSION
 cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
 $PKG/usr/doc/$NAME-$VERSION
+cp -a ./doc $PKG/usr/doc/$NAME-$VERSION
 cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
 
 #----------------------------------------------------------------------
 
-if [ -d $PKG/usr/share/man ];then
+if [ -d $PKG/usr/share/man ] ; then
 mkdir -p $PKG/usr/man
 mv $PKG/usr/share/man/* $PKG/usr/man
 rm -rf $PKG/usr/share/man
 fi
 find $PKG/usr/man -type f -exec gzip -9 {} \;
 
-if [ -d $PKG/usr/share/info ];then
+if [ -d $PKG/usr/share/info ] ; then
 mkdir -p $PKG/usr/info
 mv $PKG/usr/share/info/* $PKG/usr/info
 rm -rf $PKG/usr/share/info
 fi 
-find $PKG/usr/info -type f -exec gzip -9 {} \;
 
+find $PKG/usr/info -type f -exec gzip -9 {} \;
 mkdir -p $PKG/install
-if [ -d $PKG/usr/info ];then
+if [ -d $PKG/usr/info ] ; then
 cat >> $PKG/install/doinst.sh << EOF
-CWD=\$(pwd)
 cd usr/info
-if [ -f dir ];then
+if [ -f dir ]; then
     rm dir
 fi
-if [ -f dir.gz ];then
+if [ -f dir.gz ]; then
     rm dir.gz
 fi
-for i in *.info.gz;do
-    install-info \$i dir
-done
-cd \$CWD
+for i in *.info.gz
+        do
+        install-info $i dir
+    done
 EOF
 fi
 
-# Add schemas install to the doinst.sh if schemas are found.
-if [ -d $PKG/etc/gconf/schemas ];then
-# Make sure we have gconftool installed
-echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
-( cd $PKG/etc/gconf/schemas
-for schema in *.schemas; do
- # Install schemas
- echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
-   usr/bin/gconftool-2 --makefile-install-rule \
-   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
-   >> $PKG/install/doinst.sh
-done;
-)
-# Finish off gconf block
-echo "fi" >> $PKG/install/doinst.sh
-fi
+mkdir -p $PKG/install
 
 
 #if there is a slack-desc in src dir use it
 
 $SHIM|-----handy-ruler------------------------------------------------------|
 $NAME: $NAME (2D platform game with a persistent world.)
-$NAME:
 $NAME: When Edgar's father fails to return home after venturing out one
 $NAME: dark and stormy night, Edgar fears the worst he has been captured by 
 $NAME: the evil sorcerer who lives in a fortress beyond the forbidden swamp.
 $NAME: In The Legend of Edgar, you take on the role of Edgar as he ventures 
 $NAME: across the world, battling fearsome creatures and solving puzzles.
-$NAME:
 $NAME: License: GPLv2
 $NAME: Authors: parallelrealities
 $NAME: Website: http://www.parallelrealities.co.uk/projects/edgar.php
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
+CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
 
 EOF
 
 #--------------------------------------------------------------
 echo "Finding dependencies..."
 ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
-echo "Creating package $NAME-$VER-$ARCH-$BUILD.txz"
-makepkg -l y -c n $RELEASEDIR/$NAME-$VER-$ARCH-$BUILD.txz
+echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
-fi
 #--------------------------------------------------------------
 
 # vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/edgar/src/edgar.png

Added
New image

File var/vabs/ode/src/ode.SlackBuild

 # AUTHORS = 
 
 NAME="ode"            #Enter package Name!
-VERSION=${VERSION:-"0.11.1"}      #Enter package Version!
+VERSION=${VERSION:-"0.12"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
 VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
+LINK=${LINK:-"http://downloads.sourceforge.net/opende/ode-0.12.tar.bz2"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-slackware-linux"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
-  CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+  CONFIGURE_TRIPLET="x86_64-slackware-linux"
   LIBDIRSUFFIX="64"
 elif [ "$ARCH" = "powerpc" ]; then
   SLKCFLAGS="-O2"

File var/vabs/pygobject/src/pygobject.SlackBuild

 
 
 NAME=pygobject
-VERSION=${VERSION:-2.26.0}
+VERSION=${VERSION:-2.28.6}
 BUILD=${BUILD:-2}
-LINK=${LINK:-"ftp://ftp.gnome.org/pub/gnome/sources/$NAME/2.26/$NAME-$VERSION.tar.bz2"}
+LINK=${LINK:-"ftp://ftp.gnome.org/pub/gnome/sources/$NAME/2.28/$NAME-$VERSION.tar.bz2"}
 NUMJOBS=${NUMJOBS:-" -j4 "}
 
 # Automatically determine the architecture we're building on:
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \;
 
-zcat $CWD/pygobject.fix.no.introspection.crash.diff.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/pygobject.fix.no.introspection.crash.diff.gz | patch -p1 --verbose || exit 1
 
 CFLAGS="$SLKCFLAGS" \
 ./configure \

File var/vabs/torcs/src/torcs.SlackBuild

 # AUTHORS = 
 
 NAME="torcs"            #Enter package Name!
-VERSION=${VERSION:-"1.3.2"}      #Enter package Version!
+VERSION=${VERSION:-"1.3.4"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
 VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
 LINK=${LINK:-"downloads.sf.net/$NAME/$NAME-$VERSION.tar.bz2"}  #Enter URL for package here!
 
 #SYSTEM VARIABLES
 #----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"2"}
+BUILDNUM=${BUILDNUM:-"1"}
 VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
 BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
 ARCH=${ARCH:-"$(uname -m)"}
 MAKEDEPENDS=${MAKEDEPENDS:-"plib openal freealut"}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-"freealut freeglut glu libogg libvorbis openal-soft"} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
 
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-slackware-linux"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
   CONFIGURE_TRIPLET="x86_64-vlocity-linux"
 echo "Package Complete"
 #--------------------------------------------------------------
 
-# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/xonotic/src/xonotic.SlackBuild

 
 #SYSTEM VARIABLES
 #----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"2"}
+BUILDNUM=${BUILDNUM:-"1"}
 VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
 BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
 ARCH=${ARCH:-"$(uname -m)"}
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-MAKEDEPENDS=${MAKEDEPENDS:-"SDL alsa-lib"} #Add deps needed TO BUILD this package here.
+MAKEDEPENDS=${MAKEDEPENDS:-"SDL alsa-lib libjpeg-turbo"} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
 # DO NOT EXECUTE if NORUN is set to 1